Name:           schotty-kexec-load
Version:        1
Release:        1%{?dist}
Summary:        Quick support for using systemd to reboot into the default kernel

Group:          System Environment/Base
License:        GPLv3
URL:            http://www.schotty.com
Source1:	kexec-load
Source2:	kexec-load.service
BuildArch:      noarch

Requires:       kexec-tools

%description
This package adds in a system service that calls a supplied shell script to enable support for "systemctl kexec", which will reboot into the default kernel in GRUB2.  Using this, one may quickly restart to make use of a new kernel and such much quicker than a standard reboot.  

%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
# Copy over shell script
mkdir -p %{buildroot}%{_bindir}
%{__install} -p -m 644 %{SOURCE1} -D %{buildroot}%{_bindir}/
chmod +x %{buildroot}%{_bindir}/kexec-load

# Copy over SystemD unitfile
mkdir -p %{buildroot}%{_sysconfdir}/systemd/system/
%{__install} -p -m 644 %{SOURCE2} -D %{buildroot}%{_sysconfdir}/systemd/system/

%post
printf "To enable kexec-load, run \n    sudo systemctl enable kexec-load && sudo systemctl start kexec-load\nTo reboot, use \n    sudo systemctl kexec\n"

%files
%{_bindir}/kexec-load
%{_sysconfdir}/systemd/system/kexec-load.service

%changelog
* Wed Jul 8 2020 Andrew Schott <andrew@schotty.com> -
- Initial release
